using Cute;

public class GetDataTranslateTask : NetworkTask
{
	public override string Url => NtDataTranslateManager.GetInstance().GetTranslateInfoUrl();

	protected override int Parse()
	{
		int num = base.Parse();
		if (num != 1)
		{
			return num;
		}
		string text = base.ResponseData["data"]["email_address"].ToString();
		NtDataTranslateManager.GetInstance().curBindEmail = text;
		if (string.IsNullOrEmpty(text))
		{
			NtDataTranslateManager.GetInstance().isTranslate = false;
		}
		else
		{
			NtDataTranslateManager.GetInstance().isTranslate = true;
		}
		return num;
	}
}
